Bug 53044 - kmail hangs
kmail hangs
Product: Red Hat Linux
Classification: Retired
Component: kdenetwork (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2001-09-02 13:00 EDT by Gene Czarcinski
Modified: 2007-04-18 12:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-10-27 13:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2001-09-02 13:00:45 EDT
Description of Problem:
I was composing a new email with kmail and entering "To" addresses from the
address book.  After entering a number (e.g., ten) addresses, I tried to
edit and delete some of the entries.  Compose and kmail itself hung

Version-Release number of selected component (if applicable):

How Reproducible:
Almost every time.  I finnaly got the right list once and sent the mail.

Steps to Reproduce:
1. bring up kmail and compose a new emial
2. Use the address bo to select a number of addressses
3. Start editing the list on the compose "To" line

Actual Results:
kmail hung (had to kill -HUP and restart

Expected Results:
editing works

Additional Information:
Comment 1 Bernhard Rosenkraenzer 2001-09-03 09:32:27 EDT
Works here (2.2-6, tried adding ~10 addresses, then adding the same addresses 
How many addresses did you try to add? Can you reproduce the problem with the 
current version?
Comment 2 Gene Czarcinski 2001-09-03 11:59:59 EDT
kdenetwork-2.2-5 on RC2

Problem still there.

I added (one at a time from addressbook) a bunch of email addresses.

I then attemted to edit the list in the "To" window.  I simply tried to scroll
back from the end of the list with the "left arrow".  At a point well before the
beginning of the list kmail (both main and the compse windows) hung.  Used kill
-HUP to terminate and then I restarted kmail.  Both the main kmail window and
the compose windows came up.  This time I just tried to edit the window .. hung
Comment 3 Gene Czarcinski 2003-10-27 13:48:31 EST
OBE now I am sure

Note You need to log in before you can comment on or make changes to this bug.